Send a test event
curl --request POST \
--url https://api.nextlevelmca.com/v1/webhooks/{id}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/webhooks/{id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"delivery_id": "<string>",
"event_type": "webhook.test",
"status": "succeeded",
"response_status": 123,
"response_body": "<string>",
"error": "<string>",
"duration_ms": 123
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Webhooks
Send a test event
Delivers a webhook.test event to this subscription synchronously (even when it is disabled) and returns the result of the single attempt: HTTP status, the first 2 KB of the response body and the error, if any. Test sends are signed like real events and are not retried.
POST
/
v1
/
webhooks
/
{id}
/
test
Send a test event
curl --request POST \
--url https://api.nextlevelmca.com/v1/webhooks/{id}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/webhooks/{id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"delivery_id": "<string>",
"event_type": "webhook.test",
"status": "succeeded",
"response_status": 123,
"response_body": "<string>",
"error": "<string>",
"duration_ms": 123
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Was this page helpful?